%undefine _strict_symbol_defs_build
%global cairo_version 1.16.0

Summary:        An SVG library based on cairo
Name:           librsvg2
Version:        2.54.4
Release:        4%{?dist}
License:        LGPLv2+
URL:            https://wiki.gnome.org/Projects/LibRsvg
Source0:        https://download.gnome.org/sources/librsvg/2.54/librsvg-%{version}.tar.xz
 
BuildRequires:  chrpath gcc gobject-introspection-devel make
BuildRequires:  pkgconfig(cairo) >= %{cairo_version}
BuildRequires:  pkgconfig(cairo-gobject) >= %{cairo_version}
BuildRequires:  pkgconfig(cairo-png) >= %{cairo_version}
BuildRequires:  pkgconfig(fontconfig) pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(gio-2.0) pkgconfig(gio-unix-2.0)
BuildRequires:  pkgconfig(glib-2.0) pkgconfig(gthread-2.0)
BuildRequires:  pkgconfig(libxml-2.0) pkgconfig(pangocairo)
BuildRequires:  pkgconfig(pangoft2) vala cargo rust
BuildRequires:  /usr/bin/rst2man
Requires:       cairo >= %{cairo_version}
Requires:       cairo-gobject >= %{cairo_version}
Requires:       gdk-pixbuf2
 
%description
The librsvg library is a lightweight library for parsing and rendering
vector-graphic files in SVG format (like the ones made by sodipodi). It also
includes functions that render anti-aliased fonts using freetype, including
caching of glyphs. It is used by Nautilus for drawing vector icons and
anti-aliased text.
 
%package devel
Summary:        Libraries and include files for developing with librsvg
Requires:       %{name} = %{version}-%{release}
 
%description devel
Development libraries and header files for using librsvg2.
 
%package tools
Summary:        Extra tools for librsvg
Requires:       %{name} = %{version}-%{release}
 
%description tools
This package provides extra utilities based on the librsvg library.
 
%prep
%autosetup -n librsvg-%{version}
 
%build
%configure --disable-static  \
           --disable-gtk-doc \
           --docdir=%{_pkgdocdir} \
           --enable-introspection \
           --enable-vala
%make_build

%install
%make_install
find %{buildroot} -name \*.la -delete
 
chrpath --delete %{buildroot}%{_bindir}/rsvg-convert
chrpath --delete %{buildroot}%{_libdir}/gdk-pixbuf-2.0/*/loaders/libpixbufloader-svg.so
 
rm -f %{buildroot}%{_pkgdocdir}/COMPILING.md
 
%files
%license COPYING.LIB
%doc code-of-conduct.md CONTRIBUTING.md README.md
%{_libdir}/librsvg-2.so.*
%{_libdir}/gdk-pixbuf-2.0/*/loaders/libpixbufloader-svg.so
%dir %{_libdir}/girepository-1.0
%{_libdir}/girepository-1.0/Rsvg-2.0.typelib
%dir %{_datadir}/thumbnailers
%{_datadir}/thumbnailers/librsvg.thumbnailer
 
%files devel
%{_libdir}/librsvg-2.so
%{_includedir}/librsvg-2.0/
%{_libdir}/pkgconfig/librsvg-2.0.pc
%dir %{_datadir}/gir-1.0
%{_datadir}/gir-1.0/Rsvg-2.0.gir
%dir %{_datadir}/vala
%dir %{_datadir}/vala/vapi
%{_datadir}/vala/vapi/librsvg-2.0.vapi

%files tools
%{_bindir}/rsvg-convert
%{_mandir}/man1/rsvg-convert.1*

%changelog
* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.54.4-4
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.54.4-3
- Rebuilt for OpenCloudOS Stream 23

* Thu Dec 8 2022 Wang Guodong <gordonwwang@tencent.com> - 2.54.4-2
- rebuild for cargo-1.64.0(rust-1.64.0).

* Thu Aug 18 2022 Wang Zhe <bessiewang@tencent.com> - 2.54.4-1
- initial build
